COMPUTE_THEME_D_MODULE_DEPS(1)

NAME
compute-theme-d-module-deps - compute Theme-D unit dependencies

SYNOPSIS
compute-theme-d-module-deps FILE LIBRARY

DESCRIPTION
Compute the make dependencies for a linked Theme-D unit FILE. Only dependencies with unit path LIBRARY are included. The unit path is computed from the unit name by dropping the last symbol from the name.

EXAMPLES
compute-theme-d-module-deps list-utilities.thb standard-library

SEE ALSO
theme-d-link(1), theme-d-compile(1), compute-theme-d-pcode-deps(1), compute-theme-d-program-deps(1), make(1), /usr/share/doc/theme-d-doc/theme-d-user-guide.pdf.gz